Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78201 - Swap advice seems wrong
Summary: Swap advice seems wrong
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda
Version: 9
Hardware: i386
OS: Linux
high
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-19 23:40 UTC by Alan Cox
Modified: 2008-01-17 17:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-05-25 14:50:24 UTC


Attachments (Terms of Use)

Description Alan Cox 2002-11-19 23:40:42 UTC
The Linux kernels after 2.4.9 were fixed so that the extra swap requirement was
removed. The installer is still trying to insist on it.

Comment 1 Michael Fulbright 2002-11-20 15:00:32 UTC
We asked Michael Johnson about this for 8.0 and he indicated we should leave it in.

For systems with less than 192MB RAM + existing we'll need to do something or
the upgrade will fail.  For 256MB RAM or more we could disable the warning. Does
that sound adequate?

Comment 2 Alan Cox 2002-11-20 15:09:09 UTC
Makes sense

The constraint nowdays isnt

 swap = max(2*RAM, current, needed_swap)

its just swap = max(current, needed_swap)

So for < 256Mb you probably do want plenty of swap with openorifice, nastilus
and evolution involved



Comment 3 Michael Fulbright 2002-11-20 15:11:13 UTC
Done.

Comment 4 Brent Fox 2003-05-25 14:50:24 UTC
I'm going through Bugzilla closing some bugs that have been marked as Modified
for some period of time.  I believe that most of these issues have been fixed,
so I'm resolving these bugs as Rawhide.  If the bug you are seeing still exists,
please reopen this report and mark it as Reopened.


Note You need to log in before you can comment on or make changes to this bug.